<?php
include_once('./_common.php');
include_once(AMINA_PATH.'/lib/head.lib.php');
?>
<!doctype html>
<html lang="ko">
<head>
<meta charset="utf-8">
<meta http-equiv="imagetoolbar" content="no">
<meta http-equiv="X-UA-Compatible" content="IE=Edge">
<title>이미지 크게보기</title>
<style>
	body { padding:0; margin:0; background:#000; }
	#img { position:relative;top:0;left:0;cursor:move; }
</style>
<script src="<?php echo AMINA_URL; ?>/js/jquery-1.8.3.min.js"></script>
<body>

<img src="<?=$img?>" id="img" class="draggable" alt="" />

<script>
<?php if($width && $height) { ?>
	var win_w = <?php echo $width; ?>;
	var win_h = <?php echo $height; ?> + 70;
<?php } else { ?>
	var win_w = parseInt($('#img').width());
	var win_h = parseInt($('#img').height()) + 70;
<?php } ?>
var win_l = (screen.width - win_w) / 2;
var win_t = (screen.height - win_h) / 2;

if(win_w > screen.width) {
    win_l = 0;
    win_w = screen.width - 20;

    if(win_h > screen.height) {
        win_t = 0;
        win_h = screen.height - 40;
    }
}

if(win_h > screen.height) {
    win_t = 0;
    win_h = screen.height - 40;

    if(win_w > screen.width) {
	    win_w = screen.width - 20;
		win_l = 0;
    }
}

window.moveTo(win_l, win_t);
window.resizeTo(win_w, win_h);

$(function() {
    var is_draggable = false;
    var x = y = 0;
    var pos_x = pos_y = 0;

    $(".draggable").mousemove(function(e) {
        if(is_draggable) {
            x = parseInt($(this).css("left")) - (pos_x - e.pageX);
            y = parseInt($(this).css("top")) - (pos_y - e.pageY);

            pos_x = e.pageX;
            pos_y = e.pageY;

            $(this).css({ "left" : x, "top" : y });
        }

        return false;
    });

    $(".draggable").mousedown(function(e) {
        pos_x = e.pageX;
        pos_y = e.pageY;
        is_draggable = true;
        return false;
    });

    $(".draggable").mouseup(function() {
        is_draggable = false;
        return false;
    });

    $(".draggable").dblclick(function() {
        window.close();
    });
});
</script>

</body>
</html>